Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453822 - Review Request: netstiff - A powerful Web and FTP site update checker
Summary: Review Request: netstiff - A powerful Web and FTP site update checker
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-02 19:31 UTC by Ray Van Dolson
Modified: 2008-07-13 06:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-13 06:55:46 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ray Van Dolson 2008-07-02 19:31:32 UTC
Spec URL: http://rayvd.fedorapeople.org/netstiff/netstiff.spec
SRPM URL: http://rayvd.fedorapeople.org/netstiff/netstiff-20080331-1.src.rpm
Description: 
netstiff (formerly known as webdiff) is a powerful Web and FTP site
update checker. It supports a variety of different methods (diff, html,
size, date, MD5 sum, regexp) to check for updates. There are also
sophisticated settings to make it useful for partly dynamic Web pages.
Without any given arguments, netstiff will either run its interactive
configuration tool or check your sites for updates and print the changes
in a diff(1)-like manner.

Comment 1 Jason Tibbitts 2008-07-03 00:31:33 UTC
There's very little to this package; I only have a couple of comments:

It's not strictly necessary to have an explicit dependency on ruby, because rpm
finds the /usr/lib/ruby dependency on its own.

Thee version you have is fine, but if you think that in the future your upstream
might release, say, version 0.1, and you don't want to have to use an epoch,
then you can use a version/release pair like 0-0.1.20080331.


* source files match upstream:
   ae279336487c71bad2f7cd1673ba09180e8f5784f2226375e95f5d546c58f69d  
   netstiff_20080331.orig.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none, as there's nothing to build).
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   netstiff = 20080331-1.fc10
  =
   /usr/bin/ruby
   ruby

* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Comment 2 Ray Van Dolson 2008-07-03 04:22:11 UTC
Thanks Jason.  For the record I have updated the spec file with your suggestions
(removed ruby requires as it is implicit and changed version string per
non-numeric version guidelines).

Spec: http://rayvd.fedorapeople.org/netstiff/netstiff.spec
SRPM: http://rayvd.fedorapeople.org/netstiff/netstiff-0-0.1.20080331.src.rpm

Thank you for the review.

Comment 3 Ray Van Dolson 2008-07-03 05:11:32 UTC
New Package CVS Request
=======================
Package Name: netstiff
Short Description: A powerful Web and FTP site update checker
Owners: rayvd
Branches: F-8 F-9 EL-5
InitialCC:
Cvsextras Commits: yes

Comment 4 Kevin Fenzi 2008-07-04 20:37:02 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.